package cn.iocoder.yudao.module.system.enums.robot.charge;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * robot_charge_log的charge_model 充电模式(1:自动充电、2:机会充电、3:充满电、4:充电任务)
 */
@Getter
@AllArgsConstructor
public enum ChargeModelEnum {
    AUTO(1), //自动充电
    CHANCE(2), //机会充电
    FULL(3), //充满电
    TASK(4); //充电任务
    /**
     * 类型
     */
    private final Integer type;
}
